# $Revision: 1.22 $, $Date: 2008/09/29 18:58:17 $
Summary:	Cairo module for Ruby
Summary(pl.UTF-8):	Moduł Cairo dla języka Ruby
Name:		ruby-rcairo
Version:	1.8.0
Release:	1
License:	GPL or custom (see COPYING)
Group:		Development/Languages
Source0:	http://cairographics.org/releases/rcairo-%{version}.tar.gz
# Source0-md5:	7ea9f0b174d379c6a0374f534c2a4e85
URL:		http://cairographics.org/rcairo
BuildRequires:	cairo-devel >= 1.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel >= 1:1.8
Requires:	cairo >= 1.8.0
Requires:	ruby >= 1:1.8
# dropped?
Obsoletes:	ruby-rcairo-gtkcairo
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cairo module for Ruby.

%description -l pl.UTF-8
Moduł Cairo dla języka Ruby.

%prep
%setup -q -n rcairo-%{version}

%build
ruby extconf.rb

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_archdir},%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	RUBYLIBDIR=$RPM_BUILD_ROOT%{ruby_rubylibdir} \
	sitearchdir=$RPM_BUILD_ROOT%{ruby_archdir}

cp -a samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README ChangeLog NEWS
%attr(755,root,root) %{ruby_archdir}/cairo.so
%{ruby_rubylibdir}/cairo
%{ruby_rubylibdir}/cairo.rb
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*.rb

# devel?
%{ruby_archdir}/rb_cairo.h

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-rcairo.spec,v $
Revision 1.22  2008/09/29 18:58:17  qboosh
- updated to 1.8.0

Revision 1.21  2008/07/31 17:19:49  qboosh
- updated to 1.6.3

Revision 1.20  2008/06/16 20:50:49  qboosh
- updated to 1.6.2

Revision 1.19  2008/05/10 22:25:40  qboosh
- updated to 1.6.1

Revision 1.18  2008-04-13 11:10:00  qboosh
- updated to 1.6.0

Revision 1.17  2008-01-11 19:09:25  qboosh
- updated to 1.5.1

Revision 1.16  2007-05-29 15:27:58  aredridel
- 1.5.0

Revision 1.15  2007/03/16 23:31:15  qboosh
- updated to 1.4.1

Revision 1.14  2007/03/08 06:21:16  aredridel
- 1.4.0

Revision 1.13  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.11  2006/07/03 17:06:23  qboosh
- updated to 1.2.0

Revision 1.10  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.9  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.8  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.7  2005/10/27 10:57:20  qboosh
- updated md5

Revision 1.6  2005/10/27 10:54:22  qboosh
- updated to recently released 1.0.0
- gtkcairo seems dropped

Revision 1.5  2005/05/01 06:41:46  ankry
- tabs

Revision 1.4  2005/04/28 19:38:48  qboosh
- more BRs; cairo dep should be autodetected

Revision 1.3  2005/04/28 19:34:56  qboosh
- gtkcairo desc fix

Revision 1.2  2005/04/27 11:11:30  spider
- pl

Revision 1.1  2005/04/26 21:40:12  aredridel
- added
